#include <iostream>
using namespace std;

int main() 
{
    int n, poz = -1;
    long long l;
    scanf("%d %lld", &n, &l);
    long long h;
    bool ok=false;
    for(int i = 0; i < n; i++)
    {
        scanf("%lld", &h);
        if(h <= l && !ok)
        {
            poz = i + 1;
            ok=true;
        }
    }
    printf("%d\n", poz);
    return 0;
}